Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427246 - www-client/chromium-22.0.1207.1 fails in libc_urandom_override.cc w/gcc-4.7
Summary: www-client/chromium-22.0.1207.1 fails in libc_urandom_override.cc w/gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Chromium Project
URL: http://code.google.com/p/chromium/iss...
Whiteboard:
Keywords:
Depends on:
Blocks: 412615
  Show dependency tree
 
Reported: 2012-07-19 18:56 UTC by crabbed halo ablution
Modified: 2012-08-02 22:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix missing unistd.h file (chromium-header-fix.patch,386 bytes, text/plain)
2012-07-20 02:18 UTC, Yixun Lan
Details
XPathGrammar.h header (XPathGrammar.h,2.90 KB, text/plain)
2012-07-21 00:16 UTC, Yixun Lan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description crabbed halo ablution 2012-07-19 18:56:38 UTC
Error:
sandbox/linux/services/libc_urandom_override.cc: In function ‘FILE* sandbox::fopen_override(const char*, const char*)’:
sandbox/linux/services/libc_urandom_override.cc:96:14: error: ‘dup’ was not declared in this scope
sandbox/linux/services/libc_urandom_override.cc:96:14: error: invalid type in declaration before ‘;’ token
sandbox/linux/services/libc_urandom_override.cc: In function ‘FILE* sandbox::fopen64(const char*, const char*)’:
sandbox/linux/services/libc_urandom_override.cc:112:14: error: ‘dup’ was not declared in this scope
sandbox/linux/services/libc_urandom_override.cc:112:14: error: invalid type in declaration before ‘;’ token
make: *** [out/Release/obj.target/libc_urandom_override/sandbox/linux/services/libc_urandom_override.o] Error 1
make: *** Waiting for unfinished jobs....

#include <unistd.h> fixes this.
See also upstream bug in URL
Comment 1 Vasco Gervasi 2012-07-19 20:52:03 UTC
Could someone post a patch for this? Or should I wait for next dev release?

Thanks
Comment 2 Yixun Lan archtester gentoo-dev 2012-07-20 02:18:56 UTC
Created attachment 318680 [details]
fix missing unistd.h file

please use attached patch, and test
you can leverage user patches

# mkdir -p /etc/portage/patches//www-client/chromium-22.0.1207.1
# cp chromium-header-fix.patch /etc/portage/patches//www-client/chromium-22.0.1207.1
# emerge =chromium-22.0.1207.1

(In reply to comment #1)
> Could someone post a patch for this? Or should I wait for next dev release?
> 
> Thanks
Comment 3 Ionuț Leonte 2012-07-20 11:50:26 UTC
While the patch provided above does allow the build to progress it later fails with the following error:

third_party/WebKit/Source/WebCore/xml/XPathParser.cpp: In member function 'WebCore::XPath::Expression* WebCore::XPath::Parser::parseStatement(const WTF::String&, WTF::PassRefPtr<WebCore::XPathNSResolver>, WebCore::ExceptionCode&)':
third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:478:39: error: too many arguments to function 'int WebCore::XPath::xpathyyparse()'
In file included from third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:49:0:
/var/tmp/portage/www-client/chromium-22.0.1207.1/work/chromium-22.0.1207.1/out/Release/obj/gen/webkit/XPathGrammar.hpp:108:5: note: declared here
make: *** [out/Release/obj.target/webcore_remaining/third_party/WebKit/Source/WebCore/xml/XPathParser.o] Error 1
make: *** Waiting for unfinished jobs....

I'm using gcc 4.7.1
Comment 4 Yixun Lan archtester gentoo-dev 2012-07-20 13:14:22 UTC
this is no problem with 4.7.1, works here

(In reply to comment #3)
> While the patch provided above does allow the build to progress it later
> fails with the following error:
> 
> third_party/WebKit/Source/WebCore/xml/XPathParser.cpp: In member function
> 'WebCore::XPath::Expression* WebCore::XPath::Parser::parseStatement(const
> WTF::String&, WTF::PassRefPtr<WebCore::XPathNSResolver>,
> WebCore::ExceptionCode&)':
> third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:478:39: error: too
> many arguments to function 'int WebCore::XPath::xpathyyparse()'

this function defined in the code, should have no problem


> In file included from
> third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:49:0:
> /var/tmp/portage/www-client/chromium-22.0.1207.1/work/chromium-22.0.1207.1/
> out/Release/obj/gen/webkit/XPathGrammar.hpp:108:5: note: declared here


could you attach this file?


> make: ***
> [out/Release/obj.target/webcore_remaining/third_party/WebKit/Source/WebCore/
> xml/XPathParser.o] Error 1
> make: *** Waiting for unfinished jobs....
> 
> I'm using gcc 4.7.1
Comment 5 Ionuț Leonte 2012-07-20 14:40:35 UTC
(In reply to comment #4)
> > In file included from
> > third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:49:0:
> > /var/tmp/portage/www-client/chromium-22.0.1207.1/work/chromium-22.0.1207.1/
> > out/Release/obj/gen/webkit/XPathGrammar.hpp:108:5: note: declared here
> 
> could you attach this file?

I'm afraid I can't, there's no such file left after the build fails:

ls: cannot access /var/tmp/portage/www-client/chromium-22.0.1207.1/work/chromium-22.0.1207.1/out/Release/obj/gen/webkit/XPathGrammar.hpp: No such file or directory
Comment 6 Yixun Lan archtester gentoo-dev 2012-07-21 00:16:01 UTC
Created attachment 318780 [details]
XPathGrammar.h header

Yes, XPathGrammar.hpp will be deleted,
its aim is to generate XPathGrammar.h

work/chromium-22.0.1207.1/out/Release/obj/gen/webkit/XPathGrammar.h

could you try to compare with mine? see attached file

btw, My yacc compile : sys-devel/bison-2.5.1
Comment 7 Vasco Gervasi 2012-07-21 17:39:03 UTC
I have just tried the patch "chromium-header-fix.patch" but I get this error:

In file included from third_party/WebKit/Source/WTF/wtf/OwnPtr.h:25:0,
                 from third_party/WebKit/Source/WTF/wtf/RefCounted.h:27,
                 from third_party/WebKit/Source/WebCore/dom/EventListener.h:24,
                 from third_party/WebKit/Source/WebCore/dom/RegisteredEventListener.h:27,
                 from third_party/WebKit/Source/WebCore/dom/EventListenerMap.h:36,
                 from third_party/WebKit/Source/WebCore/dom/EventTarget.h:35,
                 from third_party/WebKit/Source/WebCore/dom/Node.h:29,
                 from third_party/WebKit/Source/WebCore/xml/XPathStep.h:30,
                 from third_party/WebKit/Source/WebCore/xml/XPathParser.h:30,
                 from third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:29:
third_party/WebKit/Source/WTF/wtf/NullPtr.h:52:1: warning: identifier ‘nullptr’ is a keyword in C++11 [-Wc++0x-compat]
third_party/WebKit/Source/WebCore/xml/XPathParser.cpp: In member function ‘WebCore::XPath::Expression* WebCore::XPath::Parser::parseStatement(const WTF::String&, WTF::PassRefPtr<WebCore::XPathNSResolver>, WebCore::ExceptionCode&)’:
third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:478:39: error: too many arguments to function ‘int WebCore::XPath::xpathyyparse()’
In file included from third_party/WebKit/Source/WebCore/xml/XPathParser.cpp:49:0:
/media/Test/portagehd/portage/www-client/chromium-22.0.1207.1-r1/work/chromium-22.0.1207.1/out/Release/obj/gen/webkit/XPathGrammar.hpp:108:5: note: declared here
make: *** [out/Release/obj.target/webcore_remaining/third_party/WebKit/Source/WebCore/xml/XPathParser.o] Errore 1
make: *** Attesa dei processi non terminati....
Comment 8 Mike Gilbert gentoo-dev 2012-07-21 18:04:12 UTC
(In reply to comment #7)

That is bug 427438.
Comment 9 Ionuț Leonte 2012-07-21 23:55:00 UTC
(In reply to comment #8)
> (In reply to comment #7)
> 
> That is bug 427438.

I can confirm that by downgrading to sys-devel/bison-2.5.1 Chromium 22.0.1207.1 was merge successfully with the patch provided in an earlier comment.
Comment 10 Vasco Gervasi 2012-07-22 17:39:33 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > 
> > That is bug 427438.
> 
> I can confirm that by downgrading to sys-devel/bison-2.5.1 Chromium
> 22.0.1207.1 was merge successfully with the patch provided in an earlier
> comment.

So do I confirm this
Comment 11 Mike Lothian 2012-07-24 21:24:41 UTC
Is this in an overlay - I'm feeling very lazy tonight
Comment 12 Yixun Lan archtester gentoo-dev 2012-08-01 09:25:25 UTC
this bug (comment #1) still exist on chromium-22.0.1215.0.ebuild , also see my comments to bug 427438 , I think it's should more convenient to comment here
Comment 13 Mike Gilbert gentoo-dev 2012-08-02 22:55:32 UTC
Fixed in chromium-22.0.1221.1.